/***************************************************************************
 *   Copyright (C) 2009 by Herbert Roider                                  *
 *   herbert.roider@utanet.at                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *

 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
/*
 * sight_diagram_y.h
 *  Created on: 08.08.2009
 */

#ifndef SIGHT_DIAGRAM_Y_H_
#define SIGHT_DIAGRAM_Y_H_

#include "visier_diagram.h"

class sight_diagram_y: public visier_diagram {
	Q_OBJECT
public:
	sight_diagram_y(QWidget *parent) ;
	virtual ~sight_diagram_y();
	int draw_sight_scale(QPainter &dc);
	double y2diagram(double setting);
	double y2diagram(utility::vector_3d setting);
	double y_setting(utility::vector_3d setting);

};

#endif /* SIGHT_DIAGRAM_Y_H_ */
