/***************************************************************************
 *   Copyright (C) 2010 by Herbert Roider   *
 *   herbert.roider@utanet.at   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//#include <klocale.h>
#include "DlgCsvSettings.h"
#include <QComboBox>
#include <QPushButton>
#include <QLineEdit>
#include <QRadioButton>
#include <QMessageBox>
//#include <kfiledialog.h>

//#include <kstdaction.h>
#include <string>
#include "arrowmatcherdoc.h"

DlgCsvSettings::DlgCsvSettings(QWidget *parent,  Qt::WFlags f ) : QDialog(parent, f) {

   ui.setupUi(this);
    //m_config=kapp->config();

    m_ptr_field_sep = NULL;//for the csv-file
    m_ptr_field_textquote = NULL;// for the csv-file
}
int DlgCsvSettings::init( QString* ptr_field_sep, QString* ptr_field_textquote)
{
    QString s;
    if(ptr_field_sep != NULL)
        m_ptr_field_sep = ptr_field_sep;//for the csv-file
    if(ptr_field_textquote != NULL)
        m_ptr_field_textquote = ptr_field_textquote;// for the csv-file




    ui.rdoComma->setChecked(true);

    ui.cboTextquote->setCurrentIndex(0);



    return 0;
}
DlgCsvSettings::~DlgCsvSettings(){
}

void DlgCsvSettings::accept(){
    std::string field_sep;
    std::string field_textquote;
    int textquote = ui.cboTextquote->currentIndex();
    bool b;
    switch (textquote)
    {
    case 0:
        *m_ptr_field_textquote = "\"";
        break;
    case 1:
        *m_ptr_field_textquote = "'";
        break;
    case 2:
        *m_ptr_field_textquote = "";
        break;
    default:
        *m_ptr_field_textquote = "";
    }
    if(ui.rdoComma->isChecked())
        *m_ptr_field_sep = QString(",");
    else if(ui.rdoSemicolon->isChecked())
        *m_ptr_field_sep  = QString(";");
    else if(ui.rdoTabulator->isChecked())
        *m_ptr_field_sep  = QString("\t");
    else if(ui.rdoSpace->isChecked())
        *m_ptr_field_sep  = QString(" ");
    else if(ui.rdoOther->isChecked())
    {
        *m_ptr_field_sep  = ui.txtDelimiter->text();
    }


    //saveOptions();
    QDialog::accept();


}

