/***************************************************************************
 *   Copyright (C) 2010 by Herbert Roider   *
 *   herbert.roider@utanet.at   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef ARMBRUSTDLG_H
#define ARMBRUSTDLG_H

#include "ui_ArmbrustDlg_base.h"
#include <QDialog>
#include "Armbrust.h"
#include <QListWidget>
#include <QListWidgetItem>
//#include "arrow_list_model.h"
#include <QProcess>
#include "ArrowTreeModel.h"

/**
  *@author Herbert Roider
  */
class ArmbrustDlg : public QDialog  {
   Q_OBJECT
public:
	ArmbrustDlg(CArmbrust  &a, ArrowTreeModel *p , QWidget * parent=0,  Qt::WFlags f=0 );
	//~ArmbrustDlg();
    QProcess *gzip;
	FILE * gnuplot;

protected:
    CArmbrust & m_Armbrust;
	ArrowTreeModel  *m_Pfeilliste;
 	int ausfuellen(CArmbrust *);
  	int einlesen(CArmbrust &);
    void accept();
    UnitConverter m_unitconverter;

public slots:
     void cmdEnergie_click();
     void cmdKorrekturwert_click();
     void cmdRasterNeu_click();
     void cmdRasterLoeschen_click();
	 void cmdTeilstrich_berechnen_y_click();
	 void cmdTeilstrich_berechnen_z_click();
     void cmdRaster_berechnen_click();
     void cmdEnergie_Korrekturwert_click();
     void cmdSetMildots_click();

     void on_unit_editingFinished();




private:
    Ui::ArmbrustDlg_base ui;

};

#endif
