# CONFIG += qt debug release
TEMPLATE = app
FORMS += dlgCsvSettings.ui \
    dlgarrowtabsimplified.ui \
    dlgarrowtabdimensions.ui \
    dlgarrowtabmain.ui \
    preferences.ui \
    trajectoryview1.ui \
    calc_velocity_dlg.ui \
    aboutDlg_base.ui \
    ArmbrustDlg_base.ui \
    BerechneSpindelsteigungDlg_base.ui \
    Calc_Energy_from_VelocityDlg_base.ui \
    sightdiagram_appearancedlg_base.ui
TRANSLATIONS += translations/arrowmatcher2_de.ts
IDLS += aboutDlg_base.ui \
    ArmbrustDlg_base.ui \
    BerechneRasterpunktDlg_base.ui \
    BerechneSpindelsteigungDlg_base.ui \
    Calc_Energy_from_VelocityDlg_base.ui \
    CdDlg_base.ui \
    crossbows_arrows_settingsdlg_base.ui \
    diagram_appearanceDlg_base.ui \
    KalibrierungRasterDlg_base.ui \
    savetrajectoryDlg_base.ui \
    sightdiagram_appearancedlg_base.ui
HEADERS += GraphicsOrthoLineItem.h \
    ReticleView.h \
    Datastore.h \ 
    UnitInputWidget.h \
    DlgArrowModelFull.h \
    DlgArrowModelSimplified.h \
    dlgarrowtabsimplified.h \
    dlgarrowtabdimensions.h \
    dlgarrowtabmain.h \
    DlgArrowTabUpdateable.h \
    DlgArrowModel.h \
    DlgCsvSettings.h \
    CrossbowTreeModel.h \
    TreeItem.h \
    ArrowTreeModel.h \
    Unit.h \
    UnitConverter.h \
    DlgArrow.h \
    view.h \
    calc_crosshair_dlg.h \
    preferences.h \
    SightSettingTable.h \
    akima_curve.h \
    trajectoryview1.h \
    sight_diagram_z.h \
    sight_diagram_y.h \
    calc_inclination_of_sight_dlg.h \
    aspline.h \
    calc_velocity_dlg.h \
    arrowmatcher_file.h \
    aboutdlg.h \
    armbrustdlg.h \
    Armbrust.h \
    arrowmatcherdoc.h \
    arrowmatcherview.h \
    berechnespindelsteigungdlg.h \
    calc_energy_from_velocitydlg.h \
    crossbows_arrows_settingsdlg.h \
    mainwindow.h \
    Pfeil.h \
    sightdiagram_appearancedlg.h \
    visier_diagram.h \
    Zielgeraet.h
SOURCES +=  GraphicsOrthoLineItem.cpp \
    ReticleView.cpp \
    UnitInputWidget.cpp \ 
    DlgArrowModel.cpp \
    DlgArrowTabUpdateable.cpp \
    dlgarrowtabsimplified.cpp \
    dlgarrowtabdimensions.cpp \
    dlgarrowtabmain.cpp \   
    DlgArrowModelFull.cpp \
    DlgArrowModelSimplified.cpp \
    DlgCsvSettings.cpp \
    CrossbowTreeModel.cpp \
    ArrowTreeModel.cpp \
    Unit.cpp \
    UnitConverter.cpp \
    DlgArrow.cpp \
    view.cpp \
    calc_crosshair_dlg.cpp \
    preferences.cpp \
    SightSettingTable.cpp \
    akima_curve.cpp \
    trajectoryview1.cpp \
    sight_diagram_z.cpp \
    sight_diagram_y.cpp \
    calc_inclination_of_sight_dlg.cpp \
    aspline.cpp \
    calc_velocity_dlg.cpp \
    arrowmatcher_file.cpp \
    aboutdlg.cpp \
    Armbrust.cpp \
    Datastore.cpp \ 
    armbrustdlg.cpp \
    arrowmatcherdoc.cpp \
    arrowmatcherview.cpp \
    berechnespindelsteigungdlg.cpp \
    calc_energy_from_velocitydlg.cpp \
    crossbows_arrows_settingsdlg.cpp \
    main.cpp \
    mainwindow.cpp \
    Pfeil.cpp \
    sightdiagram_appearancedlg.cpp \
    visier_diagram.cpp \
    Zielgeraet.cpp
sightdiagram_appearancedlg_base.ui.target = sightdiagram_appearancedlg_base.ui
sightdiagram_appearancedlg_base.ui.commands = $$IDL_COMPILER
savetrajectoryDlg_base.ui.target = savetrajectoryDlg_base.ui
savetrajectoryDlg_base.ui.commands = $$IDL_COMPILER
diagram_appearanceDlg_base.ui.target = diagram_appearanceDlg_base.ui
diagram_appearanceDlg_base.ui.commands = $$IDL_COMPILER
crossbows_arrows_settingsdlg_base.ui.target = crossbows_arrows_settingsdlg_base.ui
crossbows_arrows_settingsdlg_base.ui.commands = $$IDL_COMPILER
aboutDlg_base.ui.target = aboutDlg_base.ui
aboutDlg_base.ui.commands = $$IDL_COMPILER
KalibrierungRasterDlg_base.ui.target = KalibrierungRasterDlg_base.ui
KalibrierungRasterDlg_base.ui.commands = $$IDL_COMPILER
CdDlg_base.ui.target = CdDlg_base.ui
CdDlg_base.ui.commands = $$IDL_COMPILER
Calc_Energy_from_VelocityDlg_base.ui.target = Calc_Energy_from_VelocityDlg_base.ui
Calc_Energy_from_VelocityDlg_base.ui.commands = $$IDL_COMPILER
BerechneSpindelsteigungDlg_base.ui.target = BerechneSpindelsteigungDlg_base.ui
BerechneSpindelsteigungDlg_base.ui.commands = $$IDL_COMPILER
BerechneRasterpunktDlg_base.ui.target = BerechneRasterpunktDlg_base.ui
BerechneRasterpunktDlg_base.ui.commands = $$IDL_COMPILER
ArmbrustDlg_base.ui.target = ArmbrustDlg_base.ui
ArmbrustDlg_base.ui.commands = $$IDL_COMPILER
INCLUDEPATH += ..
CONFIG(release, debug|release):LIBS += ../ballistic/release/libarwballistic.a
else:LIBS += ../ballistic/debug/libarwballistic.a
QT += xml
QT += svg
QMAKE_CXXFLAGS_DEBUG += -g
RESOURCES += sdi.qrc
CONFIG(release, debug|release):DESTDIR = release
else:DESTDIR = debug

# ################################################
# Build the translations
isEmpty(QMAKE_LRELEASE) { 
    win32:QMAKE_LRELEASE = $$[QT_INSTALL_BINS]\lrelease.exe
    else:QMAKE_LRELEASE = $$[QT_INSTALL_BINS]/lrelease
    !exists($$QMAKE_LRELEASE):QMAKE_LRELEASE = lrelease-qt4
}
updateqm.input = TRANSLATIONS
updateqm.output = ${QMAKE_FILE_BASE}.qm
updateqm.commands = $$QMAKE_LRELEASE \
    ${QMAKE_FILE_IN} \
    -qm \
    ${QMAKE_FILE_BASE}.qm
updateqm.CONFIG += no_link \
    target_predeps
QMAKE_EXTRA_COMPILERS += updateqm

# ##############################################
TARGET = arrowmatcher2

################################################
# Install
# Nur unter Linux kann der Pfad zur ausfuehrbaren Datei veraendert werden.
# Default ist /user/local
# Das Target 
#        make uninstall
# darf aber niemals aufgerufen werden!!!!!!!! 
#       qmake -makefile  "PREFIX=/ussdfasdfs"  arrowmatcher2.pro
# oder
# Make Command:
#      make INSTALL_ROOT=/usr/local install
#

isEmpty(PREFIX) { 
    unix:PREFIX=/usr/local
    message(Install Root: $$PREFIX)
}

target.path +=  $$PREFIX/bin
# target.files muss nicht explizit angegeben werden 

desktop.path = $$DATADIR/applications
desktop.files += ../arrowmatcher.desktop
	
icon.path = $$DATADIR/pixmaps
icon.files += toolbar/arrowmatcher.png

helpfiles_de.path += $$PREFIX/share/doc/arrowmatcher2/doc/de
helpfiles_de.files += ../doc/de/*

helpfiles_en.path += $$PREFIX/share/doc/arrowmatcher2/doc/en
helpfiles_en.files += ../doc/en/*

helpfiles_collection.path += $$PREFIX/share/doc/arrowmatcher2/doc
helpfiles_collection.files += ../doc/arrowmatcher2.qhc

# Ein install-Target darf es nicht geben, weil sonst auch ein uninstall Target gemacht wird, mit dem der "bin" Ordner 
# geloescht wird.
#INSTALLS += target
#INSTALLS += desktop
#INSTALLS += icon
#INSTALLS += helpfiles_de
#INSTALLS += helpfiles_en
#INSTALLS += helpfiles_collection

